////////////////////////////////////////////////
//			Basic Cell Type					  //
//////////////////////////////////////////////// 

package java_lib;

// E must be Integer or Float
public class Cell<E> {
	private E value;
	
	public Cell(){
		value = null;
	}
	
	public E getVal(){
		return value;
	}
	
	//////////////////////////////////////////////////////////////////////////////////
	// NOTE: if the cell is holding floats, all numbers must end with				//
	// an "f".  For example, myCell.setVal(3.5f)									//
	// This is because Java automatically assumes decimal point numbers				//
	// are double unless explicitly case to float -- resulting in compile errors	//
	//////////////////////////////////////////////////////////////////////////////////
	public void setVal(E newValue){
		value = newValue;
	}
         public void setVal(Cell<E> c){
                value = c.getVal();
        }

	public void print(){
		System.out.println(value);
	}
}
